
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品供应商变更记录VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class SpuSupplierChangeLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品供应商变更记录id")
    private Long spuChangeId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "变更类型 1.商品上架 2.商品下架 3.代销sku信息变更 4.新增sku")
    private Integer changeType;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "spu编码")
    private String spuCode;

    @Schema(description = "商品主图")
    private String mainImgUrl;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "变更内容key")
    private String contentKey;

    @Schema(description = "变更内容值")
    private String contentValue;

    @Schema(description = "代销商品id")
    private Long commissionSpuId;

    @Schema(description = "供应商id")
    private Long supplierId;

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getCommissionSpuId() {
        return commissionSpuId;
    }

    public void setCommissionSpuId(Long commissionSpuId) {
        this.commissionSpuId = commissionSpuId;
    }

    public String getContentValue() {
        return contentValue;
    }

    public void setContentValue(String contentValue) {
        this.contentValue = contentValue;
    }

    public String getContentKey() {
        return contentKey;
    }

    public void setContentKey(String contentKey) {
        this.contentKey = contentKey;
    }

    public String getSpuCode() {
        return spuCode;
    }

    public void setSpuCode(String spuCode) {
        this.spuCode = spuCode;
    }

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Long getSpuChangeId() {
        return spuChangeId;
    }

    public void setSpuChangeId(Long spuChangeId) {
        this.spuChangeId = spuChangeId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getChangeType() {
        return changeType;
    }

    public void setChangeType(Integer changeType) {
        this.changeType = changeType;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "SpuSupplierChangeLogVO{" +
                "spuChangeId=" + spuChangeId +
                ", spuId=" + spuId +
                ", changeType=" + changeType +
                ", remarks='" + remarks + '\'' +
                ", spuCode='" + spuCode + '\'' +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", spuName='" + spuName + '\'' +
                ", supplierName='" + supplierName + '\'' +
                ", contentKey='" + contentKey + '\'' +
                ", contentValue='" + contentValue + '\'' +
                ", commissionSpuId=" + commissionSpuId +
                ", supplierId=" + supplierId +
                '}';
    }
}
